This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 728733 - Zim plugins require further software to be installed
Zim plugins require further software to be installed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
14
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-06 15:30 EDT by Sandro Janke
Modified: 2011-08-18 01:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-18 01:47:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sandro Janke 2011-08-06 15:30:58 EDT
Description of problem:

Zim plugins (core and none core) do not work out of the box.

Version-Release number of selected component (if applicable):

Zim-0.52-1.fc14.noarch

Additional info:

IMO at least Zim core plugins should work right out of the box. Now, when installed on a bare system, most of the plugins require extra software to be installed by the user.

I would suggest to put all core plugins in a separate sub package (Zim-plugins-core) and none core plugins in additional sub packages (Zim-plugin-${none-core-plugin}. The base package should require Zim-plugins-core, but none of the other plugin sub packages.

BTW, I tried to get the spell check core plugin working, but simply installing gtkspell and gnome-python2-gtkspell didn't do the trick. What else is required?
Comment 1 Robin Lee 2011-08-09 01:44:55 EDT
(In reply to comment #0)
> BTW, I tried to get the spell check core plugin working, but simply installing
> gtkspell and gnome-python2-gtkspell didn't do the trick. What else is required?
Just install gnome-python2-gtkspell and it works.
There is a configuration of this plugin to set default language, and additional hunspell-* package is needed for the selected language.
Comment 2 Sandro Janke 2011-08-09 04:22:49 EDT
(In reply to comment #1)
> (In reply to comment #0)
> > BTW, I tried to get the spell check core plugin working, but simply installing
> > gtkspell and gnome-python2-gtkspell didn't do the trick. What else is required?
> Just install gnome-python2-gtkspell and it works.
> There is a configuration of this plugin to set default language, and additional
> hunspell-* package is needed for the selected language.

Apparently, the install of gnome-python2-gtkspell wasn't recognized intermediately as with the dependencies for the other plugins. I assume I had to log out and log in again...

I already had hunspell packages installed. Plugin works fine now.
Comment 3 Sandro Janke 2011-08-09 04:24:13 EDT
s/intermediately/immediately/ ;-)
Comment 4 Robin Lee 2011-08-09 04:32:19 EDT
(In reply to comment #2)
> Apparently, the install of gnome-python2-gtkspell wasn't recognized
> intermediately as with the dependencies for the other plugins. I assume I had
> to log out and log in again...
Oh, yes, restarting Zim is required to make it aware of installed dependencies.
Comment 5 Robin Lee 2011-08-18 01:47:01 EDT
Marked won't fix by now.
If you have a detailed proposal, re-open is welcome.

Note You need to log in before you can comment on or make changes to this bug.